<?xml version="1.0" encoding="utf-8"?><feed xmlns="http://www.w3.org/2005/Atom"><title>GNUcode.me</title><id>https://gnucode.me/feeds/tags/random.xml</id><subtitle>Tag: random</subtitle><updated>2024-05-01T13:21:27Z</updated><link href="https://gnucode.me/feeds/tags/random.xml" rel="self" /><link href="https://gnucode.me" /><entry><title>Random Rumblings</title><id>https://gnucode.me/random-rumblings.html</id><author><name>Joshua Branson</name><email>jbranso@dismail.de</email></author><updated>2018-04-13T18:00:00Z</updated><link href="https://gnucode.me/random-rumblings.html" rel="alternate" /><content type="html">&lt;p&gt;Please note that this blog posts refers to a time when this site used
Wordpress.  It is now using &lt;a href=&quot;https://dthompson.us/projects/haunt.html&quot;&gt;Haunt&lt;/a&gt;.&lt;/p&gt;&lt;p&gt;So today I had a full day of just doing whatever I wanted.  Here's a recap of
the cool things that I was able to do:&lt;/p&gt;&lt;ul&gt;&lt;li&gt;I got one of my websites to use let's encrypt:  www.gnusites.com.  As an
interesting sidenote, https://www.gnucode.me now points t www.gnusites.com. 
That's not intentional.  I'll have to fix that another day.&lt;/li&gt;&lt;li&gt;I fixed a really annoying error with gnus, which is an email client for
emacs.  Basically it was trying to access a server that didn't exist.  (nntp
&amp;quot;news&amp;quot;).  Every time I started gnus, it would try to access this fake server
and fail.  A simple (setq gnus-select-method '(nnnil &amp;quot;&amp;quot;)) solved the
problem.&lt;/li&gt;&lt;li&gt;I made this site serve images from a CDN (allegedly).  I'll have to verify
that it actually is.&lt;/li&gt;&lt;li&gt;get org babel sh code working on remote machines!  This actually works!  I
wish I was writing this post in org-mode so I could properly show it off. 
Basically I have a file on my local machine.  And in Emacs I have a file that
looks like this:&lt;/li&gt;&lt;/ul&gt;&lt;pre&gt;&lt;code&gt;#+BEGIN_SRC sh :results output :exports
both :dir /ssh:joshua@richardrahl:/home/joshua ls
#+END_SRC

#+RESULTS:
: dead.letter grep&lt;/code&gt;&lt;/pre&gt;&lt;p&gt;Emacs is using tramp to ssh onto my remote machine, and show the contents.  Nifty eh?&lt;/p&gt;&lt;p&gt;This basically amounted to me modifying /etc/hosts/ to make richardrahl point to
my linode.  I also used ssh-copy-id to copy my gpg key to that linode.  It's
pretty spectacular!&lt;/p&gt;</content></entry></feed>